%global srcname jupyter_core

Name:          python-%{srcname}
Version:       4.10.0
Release:       1mamba
Summary:       Core common functionality of Jupyter projects
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/jupyter/jupyter_core
Source:        https://pypi.debian.net/jupyter-core/jupyter_core-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(setuptools)
BuildRequires: python3.7dist(traitlets)
## AUTOBUILDREQ-END

%description
%{summary}.
This package contains base application classes and configuration inherited by other projects.
It doesn't do much on its own.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n %{srcname}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/jupyter_core-%{version}-py*.egg-info
%{python_sitearch}/jupyter_core-%{version}-py*.egg-info/*

%changelog
* Tue Apr 19 2022 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Wed Feb 16 2022 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Oct 28 2021 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Fri Sep 17 2021 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.1-2mamba
- rebuilt with distdeps

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.0-1mamba
- update to 4.7.0

* Fri Feb 21 2020 Automatic Build System <autodist@mambasoft.it> 4.6.3-1mamba
- automatic version update by autodist

* Mon Dec 02 2019 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Tue Oct 22 2019 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Thu Dec 28 2017 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Sun Mar 26 2017 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Sun Dec 04 2016 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Tue Oct 11 2016 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Davide Madrisan <davide.madrisan@gmail.com> 4.0.6-1mamba
- package created using the webbuild interface
